
function toggle(strPattern, _this){
  // Suchmuster generieren
  var strP = new RegExp(strPattern);
  // Kollektion aller Tabellenzeilen
  var arrTR = document.getElementById("tableID").getElementsByTagName("tr");
 
  // Tabellenzeilen durchlaufen
  for(var i=0; i<arrTR.length; i++){
    // Falls es sich nicht um das auslösende Element handelt UND die ID dem Suchkriterium entspricht
    if((arrTR[i] != _this) && (arrTR[i].className.search(strP) != -1)){
      // Ansicht toggeln
      if(arrTR[i].style.display == "none")
        arrTR[i].style.display = "";
      else
        arrTR[i].style.display = "none";
    }
  }
}
 
window.onload = function(){
  var arrTR = document.getElementById("tableID").getElementsByTagName("tr");
 
  for(var i=0; i<arrTR.length; i++){
    if(arrTR[i].className != "klapper"){
      arrTR[i].style.display = "none";
    }
  }
}
